<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools" >

    <data >
        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.CollectionVModel" />
    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <com.quansu.heifengwuliu.widget.SearchView
            android:id="@+id/search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

        </com.quansu.heifengwuliu.widget.SearchView>


        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/refresh_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent" >

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:paddingBottom="70dp"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/item_collection" />

            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout >

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/but_sure"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_40"
                android:layout_gravity="bottom"
                android:layout_marginStart="@dimen/dp_30"
                android:layout_marginEnd="@dimen/dp_30"
                android:layout_marginBottom="@dimen/dp_30"
                android:text="@string/add_vehicle" />

        </FrameLayout >

    </LinearLayout >

</layout >
